#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define _cmake_skip_rpath %nil

%define rel 1

Name:           akregator
Summary:        A Feed Reader for KDE
Epoch:          2
Version: 23.04.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kde.org/applications/internet/org.kde.akregator
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Syndication)

BuildRequires:  cmake(KPim5GrantleeTheme) >= 5.23.1
BuildRequires:  cmake(KPim5KontactInterface) >= 5.23.1
BuildRequires:  cmake(KPim5Libkdepim) >= 5.23.1
BuildRequires:  cmake(KPim5Libkleo)
BuildRequires:  cmake(KPim5MessageViewer) >= 5.23.1
BuildRequires:  cmake(KPim5TextEdit) >= 5.23.1
BuildRequires:  cmake(KPim5WebEngineViewer)
BuildRequires:  cmake(KPim5AkonadiMime)
BuildRequires:  cmake(KF5PimCommonAkonadi)

BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KUserFeedback)

Requires:       grantlee
Requires:       qtwebengine5
Requires:       libkdepim

Recommends:     akregator-handbook

%description
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -f %name.lang
%_kf5_categoriesdir/akregator.categories
%_kf5_categoriesdir/akregator.renamecategories
%_kf5_bindir/akregator
%_kf5_bindir/akregatorstorageexporter
%_qt5_plugindir/akregator*
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_advanced.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_appearance.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_archive.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_browser.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_general.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_plugins.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_security.so
%_qt5_plugindir/pim5/kcms/akregator/akregator_config_userfeedback.so
%_kf5_datadir/akregator/
%_kf5_applicationsdir/org.kde.akregator.desktop
%_kf5_metainfodir/org.kde.akregator.appdata.xml
%_kf5_datadir/config.kcfg/akregator.kcfg
%_kf5_datadir/dbus-1/interfaces/org.kde.akregator.part.xml
%_kf5_knotificationsdir/akregator.notifyrc
%_kf5_iconsdir/*/*/*/akregator*.*
# Kontact integration
%_qt5_plugindir/pim5/kontact/kontact_akregatorplugin.so

#------------------------------------------------------------------------------

%define akregatorinterfaces_major 5
%define libakregatorinterfaces %mklibname akregatorinterfaces %akregatorinterfaces_major

%package -n %libakregatorinterfaces
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakregatorinterfaces
KDEPIM library.

%files -n %libakregatorinterfaces
%_kf5_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}{,.*}

#------------------------------------------------------------------------------

%define akregatorprivate_major 5
%define libakregatorprivate %mklibname akregatorprivate %akregatorprivate_major

%package -n %libakregatorprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakregatorprivate
KDEPIM library.

%files -n %libakregatorprivate
%_kf5_libdir/libakregatorprivate.so.%{akregatorprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n akregator-handbook
Summary:        Akregator handbook
Group:          Documentation
BuildArch:      noarch
Requires:       akregator >= %{epoch}:%{version}-%{release}

%description -n akregator-handbook
This package provides akregator handbook.

%files -n akregator-handbook
%_kf5_docdir/HTML/*/akregator

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 2:23.04.3-1.mga9
+ Revision: 1982338
- New version 23.04.3

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959559
- New version 23.04.1

* Wed Apr 19 2023 daviddavid <daviddavid> 2:22.12.3-2.mga9
+ Revision: 1953612
- add missing rutime dependency on grantlee

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946404
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941694
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922818
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911308
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905165
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886687
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883329
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1872982
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853876
- New version 22.04.0

* Sat Apr 23 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852885
- New version 22.03.90

* Sun Jan 02 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766085
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1723969
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1719710
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698461
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694001
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655523
- New version 20.12.0

* Wed Nov 11 2020 joequant <joequant> 2:20.08.3-2.mga8
+ Revision: 1644560
- rebuild with new qca-qt5 to fix build break
+ neoclust <neoclust>
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633714
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626967
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617411
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604031
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596762
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585786
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569771
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559235
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540916
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513205
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466850
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457809
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447802
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424899
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390358
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387562
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381220
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375434
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365477
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356412
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339426
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332657
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327310
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1294248
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228863
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201807
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194831
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191191
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142948
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136650
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131829
- New version 17.04.3

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1092003
- Exclude on armv5
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Mon Dec 26 2016 neoclust <neoclust> 2:16.12.0-2.mga6
+ Revision: 1078086
- Rebuild against kdepim stack
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-3.mga6
+ Revision: 1076139
- requires qtwebengine5 (fixes mga#19982)
- do not build on armv5tl because of missing qtwebengine5

* Fri Dec 16 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075646
- Rebuild for release
- imported package akregator

